org.apache.http.io

## Interface BufferInfo

- All Known Implementing Classes:
    AbstractSessionInputBuffer, AbstractSessionOutputBuffer, SessionInputBufferImpl, SessionOutputBufferImpl, SocketInputBuffer, SocketOutputBuffer

      public interface BufferInfo

  Basic buffer properties.
  Since:
    4.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()` Returns available space in the buffer.
    `int` | `capacity()` Returns total capacity of the buffer
    `int` | `length()` Return length data stored in the buffer

- - ### Method Detail

    - #### length

          int length()

      Return length data stored in the buffer
      Returns:
        data length

    - #### capacity

          int capacity()

      Returns total capacity of the buffer
      Returns:
        total capacity

    - #### available

          int available()

      Returns available space in the buffer.
      Returns:
        available space.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.